Package org.apache.datasketches.tuple

# Interface SummaryFactory<S extends Summary>

Type Parameters:
  `S` - type of Summary

All Known Implementing Classes:
  `ArrayOfStringsSummaryFactory`, `DoubleSummaryFactory`, `IntegerSummaryFactory`

public interface SummaryFactory<S extends Summary>
Interface for user-defined SummaryFactory

## Method Summary

Modifier and Type
Method
Description
`S`
`newSummary()`
Returns new instance of Summary

## Method Details

### newSummary

S newSummary()
Returns new instance of Summary

Returns:
  new instance of Summary